#### D.12.3.4 norm

Procedure from library `hyperel.lib` (see hyperel_lib).

Usage:
  norm(a,b,h,f);

Return:
  norm of a(x)-b(x)y in IF[C]

Note:
  The norm is a polynomial in just one variable.
  Curve C: y^2+h(x)y=f(x) is defined over basering.

Example:

    LIB "hyperel.lib";
    ring R=7,x,dp;
    // hyperelliptic curve y^2 + h*y = f
    poly h=x;
    poly f=x5+5x4+6x2+x+3;
    poly a=x2+1;
    poly b=x;
    norm(a,b,h,f);
    ==> -x7+2x6+3x4-x3+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.